com.r3corda.contracts / InterestRateSwap / Clauses / Agree

# Agree

`class Agree : AbstractIRSClause`

### Constructors

<init> | `Agree()`

### Properties

requiredCommands | `val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Functions

verify | `fun verify(tx: TransactionForContract, inputs: List<State>, outputs: List<State>, commands: List<AuthenticatedObject<Commands>>, groupingKey: UniqueIdentifier?): Set<Commands>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.

### Inherited Functions

checkLegAmounts | `fun checkLegAmounts(legs: List<CommonLeg>): Unit`
checkLegDates | `fun checkLegDates(legs: List<CommonLeg>): Unit`
checkRates | `fun checkRates(legs: List<CommonLeg>): Boolean`
checkSchedules | `fun checkSchedules(legs: List<CommonLeg>): Boolean`
getFloatingLegPaymentsDifferences | `fun getFloatingLegPaymentsDifferences(payments1: Map<LocalDate, Event>, payments2: Map<LocalDate, Event>): List<<ERROR CLASS><LocalDate, <ERROR CLASS><FloatingRatePaymentEvent, FloatingRatePaymentEvent>>>` Compares two schedules of Floating Leg Payments, returns the difference (i.e. omissions in either leg or changes to the values).